Subject: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Sep 2018 07:26:50 -0400

>> BTW, it's not just a question of selection: "display the locus buffer"
>> may also hide the source buffer, hence the need for the subsequent
>> pop-to-buffer.
> ... which may then hide the locus buffer.

Indeed.  I guess for this reason next-error-no-select might want to
let-bind display-buffer-overriding-action to something like
(nil (inhibit-same-window . t)) during the call to next-error.

        Stefan